#define INCL_PM
#include <os2.h>
#include <ksldhdr.hpp>
#include <ievent.hpp>
#include <ictlevt.hpp>


Boolean KSliderHandler::dispatchHandlerEvent(IEvent& event)
{
  if (event.eventId() == SLN_SLIDERTRACK)
  {
    IControlEvent ctlEvent(event);
    Boolean filtered = armTracked(ctlEvent);
    if (filtered)
      event.setResult(ctlEvent.result());
    return filtered;
  }
  else
    return false;
}

